net.i2p.util

## Class LogWriter

- java.lang.Object
- - net.i2p.util.LogWriter

- All Implemented Interfaces:
    Runnable

       class LogWriter
      extends Object
      implements Runnable

  Log writer thread that pulls log records from the LogManager, writes them to the current logfile, and rotates the logs as necessary. This also periodically instructs the LogManager to reread its config file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogWriter(LogManager manager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `currentFile()`
    `void` | `flushRecords()`
    `void` | `flushRecords(boolean shouldWait)`
    `void` | `run()`
    `void` | `stopWriting()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogWriter

          public LogWriter(LogManager manager)

  - ### Method Detail

    - #### stopWriting

          public void stopWriting()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### flushRecords

          public void flushRecords()

    - #### flushRecords

          public void flushRecords(boolean shouldWait)

    - #### currentFile

          public String currentFile()